Name:           tango-icon-theme
Version:        0.8.90
Release:        1%{?dist}
Summary:        Icon theme from Tango Project

License:        Public Domain
URL:            http://tango.freedesktop.org/Tango_Desktop_Project

Source0:        http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
#VCS: git:git://anongit.freedesktop.org/tango/tango-icon-theme
Patch0:         tango-icon-theme-0.8.90-transparency.patch

# https://bugs.freedesktop.org/show_bug.cgi?id=45803
Patch1:         tango-icon-theme-0.8.90-rsvg-convert.patch
Patch2:         tango-icon-theme-0.8.90-rsvg-convert-configure.patch
Patch3:         tango-icon-theme-0.8.90-fix-svg2png.patch

BuildArch:      noarch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  icon-naming-utils >= 0.8.90
BuildRequires:  ImageMagick-devel >= 5.5.7
BuildRequires:  intltool
BuildRequires:  librsvg2-devel >= 2.35.2
BuildRequires:  librsvg2-tools
BuildRequires:  pkgconfig >= 0.19

%description
Contains icons from Tango Project.

%description -l de
Enthält Symbole vom Tango Projekt.

%description -l es
Contiene iconos del Proyecto Tango.

%description -l pl
Zawiera ikony Projektu Tango.


%prep
%setup -q
%patch0 -p1 -b .transparency
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure --enable-png-creation
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'



%post
touch --no-create %{_datadir}/icons/Tango &>/dev/null || :


%postun
touch --no-create %{_datadir}/icons/Tango &>/dev/null || :
gtk-update-icon-cache -q %{_datadir}/icons/Tango &>/dev/null || :


%posttrans
gtk-update-icon-cache -q %{_datadir}/icons/Tango &>/dev/null || :


%files
%{_datadir}/icons/Tango
%doc AUTHORS ChangeLog COPYING README 


%changelog
* Fri May 2023 will_nuitao <niutao2@huawei.com> - 0.8.90-1
- int for openEuler

